Python
from everos_cloud import EverOS
client = EverOS()
settings = client.v1.settings
response = settings.update(
timezone="<string>",
extraction_mode="<string>"
)
print(response)curl --request PUT \
--url 'https://api.evermind.ai/api/v1/settings' \
--header 'Authorization: Bearer <api_key>' \
--header 'Content-Type: application/json' \
--data '{}'const options = {
method: 'PUT',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
llm_custom_setting: {
boundary: {provider: 'openrouter', model: 'qwen3-235b-a22b-2507'},
extraction: {provider: 'openrouter', model: 'qwen3-235b-a22b-2507'}
},
timezone: '<string>'
})
};
fetch('https://api.evermind.ai/api/v1/settings', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"data": {
"timezone": "<string>",
"created_at": "<string>",
"updated_at": "<string>",
"llm_custom_setting": {}
}
}{
"code": "<string>",
"message": "<string>",
"timestamp": "<string>",
"path": "<string>",
"request_id": "unknown"
}{
"code": "<string>",
"message": "<string>",
"timestamp": "<string>",
"path": "<string>",
"request_id": "unknown"
}Settings
Update memory space settings
Update the global settings, or initialize them if they don’t exist yet. Only provided fields are updated; omitted fields retain their current values.
PUT
/
api
/
v1
/
settings
Python
from everos_cloud import EverOS
client = EverOS()
settings = client.v1.settings
response = settings.update(
timezone="<string>",
extraction_mode="<string>"
)
print(response)Authorizations
Bearer authentication header of the form Bearer 'api_key', obtain your API key from everos.evermind.ai.
Body
application/json
Response
Settings updated/initialized
Show child attributes
Show child attributes
Was this page helpful?
⌘I

